#
# RevisionManager
#
# Copyright (c) 2001 by beehive elektronische medien GmbH
# Copyright (c) 2001-2003 by Philipp "philiKON" von Weitershausen
#
# This software is distributed under the terms of the Mozilla Public License
# (MPL)
#

"""
$Id: __init__.py,v 1.4 2003/01/29 19:56:57 philipp Exp $
"""

# make sure, 'from Interface import Interface' will work...
try:
    from Interface import Interface
except ImportError:
    # Zope <2.6
    import Interface
    Interface.Interface = Interface.Base

from RevisionManager import RevisionManager, manage_addForm, manage_addRevisionManager

def initialize(context):
    """
    register the RevisionManager class
    """
    context.registerClass(RevisionManager,
                          constructors = (manage_addForm, manage_addRevisionManager),
                          icon="www/revisionmanager.png")
    context.registerHelp()
    context.registerHelpTitle('RevisionManager')
